Bots
These API endpoints are related to bots on Omniplex
Records the content version of a bot asset (avatar/banner) that was just uploaded to the CDN, so it is returned in the entity's asset_versions.
The file itself is uploaded through the frontend's upload gateway, not here. Returns a 204 on success.
User-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
id*stringThe bot's ID
kind*stringThe asset kind: banner, or avatar for teams
application/json- body
version?stringLowercase hex prefix (16 to 64 chars) of the uploaded file's SHA-256
Success
application/json- response
context?Context of the error. Usually used for validation error contexts
message?stringMessage of the error
curl -X PUT 'https://spider.omniplex.gg/bots/string/assets/string' \ -H 'Content-Type: application/json' \ -d '{}'{ "context": { "property1": "string", "property2": "string" }, "message": "string"}The custom background, gradient and accent colour shown on the bot's page. Only approved backgrounds are returned, and nothing is returned unless the bot has premium. Returns null when the page isn't customised.
id*stringThe bot's ID
Success
application/json- response
accent?stringThe page's accent colour as #rrggbb, or null for the viewer's own accent
blur?integerBackground blur in pixels, 0 to 24
dim?integerHow much the background is darkened or lightened toward the page colour, 30 to 90 percent
fixed?booleanWhether the background stays put while the page scrolls
gradient?stringA preset gradient ID, custom:#rrggbb:#rrggbb for a custom two-colour gradient, or null
image_position?stringtop, center or bottom
image_version?stringThe approved background image's version. The image is at {CDN}/backgrounds/{bots|servers}/{id}/{version}.webp
curl -X GET 'https://spider.omniplex.gg/bots/string/page-style'{ "accent": "string", "blur": 0, "dim": 0, "fixed": true, "gradient": "string", "image_position": "string", "image_version": "string"}Sets the gradient, accent colour and how the background image is shown, or removes the image with remove_image. Needs premium. The accent colour has to be readable on both light and dark mode.
User-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
id*stringThe bot's ID
application/json- body
accent?stringblur?integerdim?integerfixed?booleangradient?stringimage_position?string"top""center""bottom"remove_image?booleanRemove the background image, including one waiting for review
Success
application/json- response
context?Context of the error. Usually used for validation error contexts
message?stringMessage of the error
curl -X PATCH 'https://spider.omniplex.gg/bots/string/page-style' \ -H 'Content-Type: application/json' \ -d '{}'{ "context": { "property1": "string", "property2": "string" }, "message": "string"}The page style with everything an owner needs to edit it: a background waiting for review, why the last one was rejected, and whether the bot has premium.
User-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
id*stringThe bot's ID
Success
application/json- response
accent?stringThe page's accent colour as #rrggbb, or null for the viewer's own accent
blur?integerBackground blur in pixels, 0 to 24
dim?integerHow much the background is darkened or lightened toward the page colour, 30 to 90 percent
fixed?booleanWhether the background stays put while the page scrolls
gradient?stringA preset gradient ID, custom:#rrggbb:#rrggbb for a custom two-colour gradient, or null
image_position?stringtop, center or bottom
image_version?stringThe approved background image's version. The image is at {CDN}/backgrounds/{bots|servers}/{id}/{version}.webp
pending_since?stringWhen the pending background was uploaded
date-timepending_version?stringAn uploaded background waiting for staff review
premium?booleanWhether page styles are available: the listing has premium or an active Page Style pass. Page styles only show while they are
rejected_reason?stringWhy staff rejected the last uploaded background
unlocked_until?stringWhen the listing's Page Style pass from the Credit shop runs out, if one is active
date-timecurl -X GET 'https://spider.omniplex.gg/bots/string/page-style/manage'{ "accent": "string", "blur": 0, "dim": 0, "fixed": true, "gradient": "string", "image_position": "string", "image_version": "string", "pending_since": "2019-08-24T14:15:22Z", "pending_version": "string", "premium": true, "rejected_reason": "string", "unlocked_until": "2019-08-24T14:15:22Z"}Records a background image that was just uploaded through the website's upload gateway, which re-encodes it. It waits for staff review before it shows on the page. Needs premium.
User-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
id*stringThe bot's ID
application/json- body
version?stringSuccess
application/json- response
context?Context of the error. Usually used for validation error contexts
message?stringMessage of the error
curl -X PUT 'https://spider.omniplex.gg/bots/string/page-style/image' \ -H 'Content-Type: application/json' \ -d '{}'{ "context": { "property1": "string", "property2": "string" }, "message": "string"}Sets the colour that tints the bot's card, or resets it with an empty colour. Needs the Card Theme from the shop. Returns 204 on success.
User-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
id*stringThe bot's ID
application/json- body
color?stringSuccess
application/json- response
context?Context of the error. Usually used for validation error contexts
message?stringMessage of the error
curl -X PUT 'https://spider.omniplex.gg/bots/string/card-color' \ -H 'Content-Type: application/json' \ -d '{}'{ "context": { "property1": "string", "property2": "string" }, "message": "string"}Records that a visitor opened this bot's page. Each visitor counts once per bot per day. Known crawlers, and people who manage the bot, aren't counted. Signing in is optional. Always returns 204.
UserUser-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
id*stringThe bot's ID
Success
application/json- response
context?Context of the error. Usually used for validation error contexts
message?stringMessage of the error
curl -X POST 'https://spider.omniplex.gg/bots/string/views'{ "context": { "property1": "string", "property2": "string" }, "message": "string"}Records that a visitor opened this bot's invite. Each visitor counts once per bot per day. Known crawlers, and people who manage the bot, aren't counted. Signing in is optional. Always returns 204.
UserUser-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
id*stringThe bot's ID
Success
application/json- response
context?Context of the error. Usually used for validation error contexts
message?stringMessage of the error
curl -X POST 'https://spider.omniplex.gg/bots/string/invite-clicks'{ "context": { "property1": "string", "property2": "string" }, "message": "string"}Gets approved and certified bots, filtered and sorted. Returns a set of paginated IndexBot objects
page?stringThe page number
sort?stringSort order: new (default; newest first, with boosted listings on top), trending (net votes in the last 7 days, only bots with at least one vote in that window), votes (most votes this cycle) or servers (highest server count).
tag?stringOnly bots with this tag (case-insensitive).
certified?stringtrue to only return certified bots.
Success
application/json- response
count?integer0 <= value <= 18446744073709552000per_page?integer0 <= value <= 18446744073709552000results?array<>curl -X GET 'https://spider.omniplex.gg/bots/@all'{ "count": 0, "per_page": 0, "results": [ { "approximate_votes": 0, "asset_versions": { "property1": "string", "property2": "string" }, "boosted_until": "2019-08-24T14:15:22Z", "bot_id": "string", "card_color": "string", "clicks": 0, "created_at": "2019-08-24T14:15:22Z", "featured_until": "2019-08-24T14:15:22Z", "hidden_stats": [ "string" ], "highlighted": true, "invite_clicks": 0, "library": "string", "nsfw": true, "premium": true, "servers": 0, "shards": 0, "short": "string", "spotlighted_until": "2019-08-24T14:15:22Z", "supporter_badge": true, "tags": [ "string" ], "type": "string", "user": { "avatar": "string", "bot": true, "display_name": "string", "extra_data": { "property1": null, "property2": null }, "flags": [ "string" ], "id": "string", "status": "string", "username": "string" }, "vanity": "string", "vanity_ref": "e1b95001-3370-4367-9787-1fb904c7b8c7", "views_30d": 0, "vote_blitz_until": "2019-08-24T14:15:22Z", "votes": 0 } ]}Returns a list of bots from the database in random order
Success
application/json- response
bots?array<>curl -X GET 'https://spider.omniplex.gg/bots/@random'{ "bots": [ { "approximate_votes": 0, "asset_versions": { "property1": "string", "property2": "string" }, "boosted_until": "2019-08-24T14:15:22Z", "bot_id": "string", "card_color": "string", "clicks": 0, "created_at": "2019-08-24T14:15:22Z", "featured_until": "2019-08-24T14:15:22Z", "hidden_stats": [ "string" ], "highlighted": true, "invite_clicks": 0, "library": "string", "nsfw": true, "premium": true, "servers": 0, "shards": 0, "short": "string", "spotlighted_until": "2019-08-24T14:15:22Z", "supporter_badge": true, "tags": [ "string" ], "type": "string", "user": { "avatar": "string", "bot": true, "display_name": "string", "extra_data": { "property1": null, "property2": null }, "flags": [ "string" ], "id": "string", "status": "string", "username": "string" }, "vanity": "string", "vanity_ref": "e1b95001-3370-4367-9787-1fb904c7b8c7", "views_30d": 0, "vote_blitz_until": "2019-08-24T14:15:22Z", "votes": 0 } ]}Gets the index of the bot-side of the list. Returns a ListIndexBot object
Success
application/json- response
certified?array<>The certified bots
featured?array<>Bots with an active featured_until from a shop purchase
most_viewed?array<>The most viewed bots
packs?array<>The bot packs
premium?array<>The premium bots
recently_added?array<>The recently added bots
spotlight?array<>Bots with an active spotlighted_until, set by staff
top_voted?array<>The top voted bots
curl -X GET 'https://spider.omniplex.gg/bots/@index'{ "certified": [ { "approximate_votes": 0, "asset_versions": { "property1": "string", "property2": "string" }, "boosted_until": "2019-08-24T14:15:22Z", "bot_id": "string", "card_color": "string", "clicks": 0, "created_at": "2019-08-24T14:15:22Z", "featured_until": "2019-08-24T14:15:22Z", "hidden_stats": [ "string" ], "highlighted": true, "invite_clicks": 0, "library": "string", "nsfw": true, "premium": true, "servers": 0, "shards": 0, "short": "string", "spotlighted_until": "2019-08-24T14:15:22Z", "supporter_badge": true, "tags": [ "string" ], "type": "string", "user": { "avatar": "string", "bot": true, "display_name": "string", "extra_data": { "property1": null, "property2": null }, "flags": [ "string" ], "id": "string", "status": "string", "username": "string" }, "vanity": "string", "vanity_ref": "e1b95001-3370-4367-9787-1fb904c7b8c7", "views_30d": 0, "vote_blitz_until": "2019-08-24T14:15:22Z", "votes": 0 } ], "featured": [ { "approximate_votes": 0, "asset_versions": { "property1": "string", "property2": "string" }, "boosted_until": "2019-08-24T14:15:22Z", "bot_id": "string", "card_color": "string", "clicks": 0, "created_at": "2019-08-24T14:15:22Z", "featured_until": "2019-08-24T14:15:22Z", "hidden_stats": [ "string" ], "highlighted": true, "invite_clicks": 0, "library": "string", "nsfw": true, "premium": true, "servers": 0, "shards": 0, "short": "string", "spotlighted_until": "2019-08-24T14:15:22Z", "supporter_badge": true, "tags": [ "string" ], "type": "string", "user": { "avatar": "string", "bot": true, "display_name": "string", "extra_data": { "property1": null, "property2": null }, "flags": [ "string" ], "id": "string", "status": "string", "username": "string" }, "vanity": "string", "vanity_ref": "e1b95001-3370-4367-9787-1fb904c7b8c7", "views_30d": 0, "vote_blitz_until": "2019-08-24T14:15:22Z", "votes": 0 } ], "most_viewed": [ { "approximate_votes": 0, "asset_versions": { "property1": "string", "property2": "string" }, "boosted_until": "2019-08-24T14:15:22Z", "bot_id": "string", "card_color": "string", "clicks": 0, "created_at": "2019-08-24T14:15:22Z", "featured_until": "2019-08-24T14:15:22Z", "hidden_stats": [ "string" ], "highlighted": true, "invite_clicks": 0, "library": "string", "nsfw": true, "premium": true, "servers": 0, "shards": 0, "short": "string", "spotlighted_until": "2019-08-24T14:15:22Z", "supporter_badge": true, "tags": [ "string" ], "type": "string", "user": { "avatar": "string", "bot": true, "display_name": "string", "extra_data": { "property1": null, "property2": null }, "flags": [ "string" ], "id": "string", "status": "string", "username": "string" }, "vanity": "string", "vanity_ref": "e1b95001-3370-4367-9787-1fb904c7b8c7", "views_30d": 0, "vote_blitz_until": "2019-08-24T14:15:22Z", "votes": 0 } ], "packs": [ { "bot_ids": [ "string" ], "bots": [ { "approximate_votes": 0, "asset_versions": { "property1": "string", "property2": "string" }, "boosted_until": "2019-08-24T14:15:22Z", "bot_id": "string", "card_color": "string", "clicks": 0, "created_at": "2019-08-24T14:15:22Z", "featured_until": "2019-08-24T14:15:22Z", "hidden_stats": [ "string" ], "highlighted": true, "invite_clicks": 0, "library": "string", "nsfw": true, "premium": true, "servers": 0, "shards": 0, "short": "string", "spotlighted_until": "2019-08-24T14:15:22Z", "supporter_badge": true, "tags": [ "string" ], "type": "string", "user": { "avatar": "string", "bot": true, "display_name": "string", "extra_data": { "property1": null, "property2": null }, "flags": [ "string" ], "id": "string", "status": "string", "username": "string" }, "vanity": "string", "vanity_ref": "e1b95001-3370-4367-9787-1fb904c7b8c7", "views_30d": 0, "vote_blitz_until": "2019-08-24T14:15:22Z", "votes": 0 } ], "created_at": "2019-08-24T14:15:22Z", "emojis": [ { "animated": true, "downloads": 0, "id": "string", "name": "string", "position": 0, "vanity": "string" } ], "name": "string", "owner": { "avatar": "string", "bot": true, "display_name": "string", "extra_data": { "property1": null, "property2": null }, "flags": [ "string" ], "id": "string", "status": "string", "username": "string" }, "pack_type": "string", "server_ids": [ "string" ], "servers": [ { "approximate_votes": 0, "asset_versions": { "property1": "string", "property2": "string" }, "avatar": "string", "boosted_until": "2019-08-24T14:15:22Z", "card_color": "string", "clicks": 0, "featured_until": "2019-08-24T14:15:22Z", "hidden_stats": [ "string" ], "highlighted": true, "invite_clicks": 0, "name": "string", "nsfw": true, "online_members": 0, "premium": true, "server_id": "string", "short": "string", "spotlighted_until": "2019-08-24T14:15:22Z", "state": "string", "supporter_badge": true, "tags": [ "string" ], "total_members": 0, "type": "string", "vanity": "string", "vanity_ref": "e1b95001-3370-4367-9787-1fb904c7b8c7", "views_30d": 0, "votes": 0 } ], "short": "string", "sounds": [ { "downloads": 0, "duration_ms": 0, "id": "string", "name": "string", "position": 0, "vanity": "string" } ], "stickers": [ { "animated": true, "downloads": 0, "id": "string", "name": "string", "position": 0, "vanity": "string" } ], "tags": [ "string" ], "url": "string", "vote_banned": true, "votes": 0 } ], "premium": [ { "approximate_votes": 0, "asset_versions": { "property1": "string", "property2": "string" }, "boosted_until": "2019-08-24T14:15:22Z", "bot_id": "string", "card_color": "string", "clicks": 0, "created_at": "2019-08-24T14:15:22Z", "featured_until": "2019-08-24T14:15:22Z", "hidden_stats": [ "string" ], "highlighted": true, "invite_clicks": 0, "library": "string", "nsfw": true, "premium": true, "servers": 0, "shards": 0, "short": "string", "spotlighted_until": "2019-08-24T14:15:22Z", "supporter_badge": true, "tags": [ "string" ], "type": "string", "user": { "avatar": "string", "bot": true, "display_name": "string", "extra_data": { "property1": null, "property2": null }, "flags": [ "string" ], "id": "string", "status": "string", "username": "string" }, "vanity": "string", "vanity_ref": "e1b95001-3370-4367-9787-1fb904c7b8c7", "views_30d": 0, "vote_blitz_until": "2019-08-24T14:15:22Z", "votes": 0 } ], "recently_added": [ { "approximate_votes": 0, "asset_versions": { "property1": "string", "property2": "string" }, "boosted_until": "2019-08-24T14:15:22Z", "bot_id": "string", "card_color": "string", "clicks": 0, "created_at": "2019-08-24T14:15:22Z", "featured_until": "2019-08-24T14:15:22Z", "hidden_stats": [ "string" ], "highlighted": true, "invite_clicks": 0, "library": "string", "nsfw": true, "premium": true, "servers": 0, "shards": 0, "short": "string", "spotlighted_until": "2019-08-24T14:15:22Z", "supporter_badge": true, "tags": [ "string" ], "type": "string", "user": { "avatar": "string", "bot": true, "display_name": "string", "extra_data": { "property1": null, "property2": null }, "flags": [ "string" ], "id": "string", "status": "string", "username": "string" }, "vanity": "string", "vanity_ref": "e1b95001-3370-4367-9787-1fb904c7b8c7", "views_30d": 0, "vote_blitz_until": "2019-08-24T14:15:22Z", "votes": 0 } ], "spotlight": [ { "approximate_votes": 0, "asset_versions": { "property1": "string", "property2": "string" }, "boosted_until": "2019-08-24T14:15:22Z", "bot_id": "string", "card_color": "string", "clicks": 0, "created_at": "2019-08-24T14:15:22Z", "featured_until": "2019-08-24T14:15:22Z", "hidden_stats": [ "string" ], "highlighted": true, "invite_clicks": 0, "library": "string", "nsfw": true, "premium": true, "servers": 0, "shards": 0, "short": "string", "spotlighted_until": "2019-08-24T14:15:22Z", "supporter_badge": true, "tags": [ "string" ], "type": "string", "user": { "avatar": "string", "bot": true, "display_name": "string", "extra_data": { "property1": null, "property2": null }, "flags": [ "string" ], "id": "string", "status": "string", "username": "string" }, "vanity": "string", "vanity_ref": "e1b95001-3370-4367-9787-1fb904c7b8c7", "views_30d": 0, "vote_blitz_until": "2019-08-24T14:15:22Z", "votes": 0 } ], "top_voted": [ { "approximate_votes": 0, "asset_versions": { "property1": "string", "property2": "string" }, "boosted_until": "2019-08-24T14:15:22Z", "bot_id": "string", "card_color": "string", "clicks": 0, "created_at": "2019-08-24T14:15:22Z", "featured_until": "2019-08-24T14:15:22Z", "hidden_stats": [ "string" ], "highlighted": true, "invite_clicks": 0, "library": "string", "nsfw": true, "premium": true, "servers": 0, "shards": 0, "short": "string", "spotlighted_until": "2019-08-24T14:15:22Z", "supporter_badge": true, "tags": [ "string" ], "type": "string", "user": { "avatar": "string", "bot": true, "display_name": "string", "extra_data": { "property1": null, "property2": null }, "flags": [ "string" ], "id": "string", "status": "string", "username": "string" }, "vanity": "string", "vanity_ref": "e1b95001-3370-4367-9787-1fb904c7b8c7", "views_30d": 0, "vote_blitz_until": "2019-08-24T14:15:22Z", "votes": 0 } ]}A chronological, sitewide feed of changelog entries from approved and certified bots, newest first.
page?stringThe page number
q?stringSearch the title, content and bot name (up to 100 characters)
tag?stringOnly bots with this tag (case-insensitive)
bot?stringOnly this bot's entries (bot ID)
Success
application/json- response
count?integer0 <= value <= 18446744073709552000per_page?integer0 <= value <= 18446744073709552000results?array<>curl -X GET 'https://spider.omniplex.gg/bots/@changelogs'{ "count": 0, "per_page": 0, "results": [ { "bot_id": "string", "content": "string", "created_at": "2019-08-24T14:15:22Z", "id": "string", "title": "string", "user": { "avatar": "string", "bot": true, "display_name": "string", "extra_data": { "property1": null, "property2": null }, "flags": [ "string" ], "id": "string", "status": "string", "username": "string" }, "version": "string" } ]}The approved and certified bots that most recently posted a changelog entry, newest first.
Success
application/json- response
[index: integer]?curl -X GET 'https://spider.omniplex.gg/bots/@changelogs/recent'[ { "bot_id": "string", "latest_at": "2019-08-24T14:15:22Z", "updates": 0, "user": { "avatar": "string", "bot": true, "display_name": "string", "extra_data": { "property1": null, "property2": null }, "flags": [ "string" ], "id": "string", "status": "string", "username": "string" } }]Cross-bot command search across approved and certified bots. Matches command names and descriptions; at least one of query, bot or tag is required.
query?stringText to find in command names and descriptions (up to 100 characters, matched literally)
bot?stringOnly this bot's commands (bot ID)
tag?stringOnly bots with this tag (case-insensitive)
page?stringThe page number
Success
application/json- response
count?integer0 <= value <= 18446744073709552000per_page?integer0 <= value <= 18446744073709552000results?array<>curl -X GET 'https://spider.omniplex.gg/bots/@commands'{ "count": 0, "per_page": 0, "results": [ { "bot": { "avatar": "string", "bot": true, "display_name": "string", "extra_data": { "property1": null, "property2": null }, "flags": [ "string" ], "id": "string", "status": "string", "username": "string" }, "bot_id": "string", "category": "string", "description": "string", "id": "string", "name": "string", "usage": "string" } ]}Approved and certified bots that have documented commands, most-voted first, with their command count and a preview of command names.
Success
application/json- response
[index: integer]?curl -X GET 'https://spider.omniplex.gg/bots/@commands/bots'[ { "bot_id": "string", "commands": 0, "preview": [ "string" ], "user": { "avatar": "string", "bot": true, "display_name": "string", "extra_data": { "property1": null, "property2": null }, "flags": [ "string" ], "id": "string", "status": "string", "username": "string" } }]Gets a bot by id
User-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
id*stringThe bots ID
target?stringNo longer used. Views and invite clicks are recorded with POST /bots/{id}/views and POST /bots/{id}/invite-clicks.
include?stringWhat extra fields to include, comma-seperated.long => bot long description
team_includes?stringIf the bot is team-owned, what entities of the team to include
Success
application/json- response
approval_note?stringThe note for the bot's approval
approximate_votes?integerThe bot's approximate vote count, used for home page listing etc.
asset_versions?Content versions of uploaded CDN assets by kind (avatar/banner). Append as ?v= to the asset URL. A missing kind means unknown, not absent
auto_votes?integerHow many of this month's upvotes came from Auto-vote
auto_votes_opt_out?booleanWhether the bot refuses automatic votes from auto-vote subscribers
boosted_until?stringIf set and in the future, the bot gets priority placement in listings until this time
date-timebot_id?stringThe bot's ID
captcha_opt_out?booleanWhether the bot should have captchas shown if the user has captcha_sponsor_enabled
card_color?stringThe bot's Card Theme colour as #rrggbb, empty when it has no Card Theme or no colour set
card_theme?booleanWhether the bot has bought the Card Theme, which unlocks card_color
cert_reason?stringThe reason for the bot being certified
claimed_by?stringThe user who claimed the bot
clicks?integerThe bot's total click count
client_id?stringThe bot's associated client ID validated using that top-secret Oauth2 API! Used in anti-abuse measures.
created_at?stringThe bot's creation date
date-timeextra_links?array<>The bot's links that it wishes to advertise
featured_until?stringIf set and in the future, the bot appears in the home page's Featured section until this time
date-timehidden_stats?array<>Stats the owner chose to hide. Hidden stats are returned as zero unless you manage this listing
highlighted?booleanWhether the bot has an active Highlighted Card from the shop
highlighted_until?stringIf set and in the future, the bot's card has an accent glow until this time
date-timeinvite?stringThe bot's invite URL. Must be present
invite_clicks?integerThe bot's invite click count (via users inviting the bot from IBL)
itag?stringThe bot's internal ID. An artifact of database migrations.
uuidlast_claimed?stringThe bot's last claimed date
date-timelast_japi_update?stringThe last time the bot was updated via JAPI
date-timelast_stats_post?stringThe list time the bot posted stats to the list. Null if never posted
date-timelibrary?stringThe bot's library
long?stringThe bot's long description in raw format (HTML/markdown etc. based on the bots settings). May not always be present (e.g. 'long' not in include)
moderation_categories?array<>Which moderation categories were flagged (e.g. sexual, harassment), empty if not flagged or moderation wasn't run
moderation_flagged?booleanWhether OpenAI's moderation endpoint flagged the bot's short/long description at submission time. A signal for reviewers, not a verdict
nsfw?booleanWhether the bot is NSFW or not
owner?The bot owner's user information. If in a team, this will be null and team_owner will instead be set
prefix?stringThe bot's prefix
premium?booleanWhether the bot is a premium bot or not
premium_period_length?integerThe period of premium for the bot in nanoseconds
int64servers?integerThe bot's server count
shard_list?array<>The number of servers per shard
shards?integerThe bot's shard count
short?stringThe bot's short description
spotlighted_until?stringIf set and in the future, the bot appears in the home page's Spotlight section until this time
date-timestart_premium_period?stringdate-timesupporter_badge?booleanWhether the bot's owner has purchased the cosmetic supporter badge from the shop
tags?array<>The bot's tags (e.g. music, moderation, etc.)
team_owner?If the bot is in a team, who owns the bot. If not in a team, this will be null and owner will instead be set
total_uptime?integerThe bot's all-time number of uptime checks. Includes older checks that weren't reliable, so use uptime_percent to show uptime
type?stringThe bot's type (e.g. pending/approved/certified/denied etc.). Note that we do not filter out denied/banned bots in API
unique_clicks?integerThe bot's unique click count based on SHA256 hashed IPs
int64updated_at?stringThe bot's last update date
date-timeuptime?integerThe bot's all-time number of successful uptime checks. Includes older checks that weren't reliable, so use uptime_percent to show uptime
uptime_checks?integerHow many uptime checks ran in the last 30 days
uptime_last_checked?stringThe bot's last uptime check
date-timeuptime_percent?numberThe share of uptime checks in the last 30 days where the bot was online, from 0 to 100. Null when it hasn't been seen online in that time
doubleuser?The bot's user information
users?integerThe bot's user count
vanity?stringThe bot's vanity URL
vanity_ref?stringThe corresponding vanities itag, this also works to ensure that all bots have an associated vanity
uuidviews_30d?integerViews in the last 30 days, counting each visitor once per listing per day
vote_banned?booleanWhether the bot is vote banned or not
vote_blitz_until?stringIf set and in the future, the bot's vote cooldown is halved until this time
date-timevotes?integerThe bot's vote count
curl -X GET 'https://spider.omniplex.gg/bots/string'{ "approval_note": "string", "approximate_votes": 0, "asset_versions": { "property1": "string", "property2": "string" }, "auto_votes": 0, "auto_votes_opt_out": true, "boosted_until": "2019-08-24T14:15:22Z", "bot_id": "string", "captcha_opt_out": true, "card_color": "string", "card_theme": true, "cert_reason": "string", "claimed_by": "string", "clicks": 0, "client_id": "string", "created_at": "2019-08-24T14:15:22Z", "extra_links": [ { "name": "string", "value": "string" } ], "featured_until": "2019-08-24T14:15:22Z", "hidden_stats": [ "string" ], "highlighted": true, "highlighted_until": "2019-08-24T14:15:22Z", "invite": "string", "invite_clicks": 0, "itag": "6b5f8e7b-1e8c-4611-b693-ee8faa950c62", "last_claimed": "2019-08-24T14:15:22Z", "last_japi_update": "2019-08-24T14:15:22Z", "last_stats_post": "2019-08-24T14:15:22Z", "library": "string", "long": "string", "moderation_categories": [ "string" ], "moderation_flagged": true, "nsfw": true, "owner": { "avatar": "string", "bot": true, "display_name": "string", "extra_data": { "property1": null, "property2": null }, "flags": [ "string" ], "id": "string", "status": "string", "username": "string" }, "prefix": "string", "premium": true, "premium_period_length": 0, "servers": 0, "shard_list": [ 0 ], "shards": 0, "short": "string", "spotlighted_until": "2019-08-24T14:15:22Z", "start_premium_period": "2019-08-24T14:15:22Z", "supporter_badge": true, "tags": [ "string" ], "team_owner": { "approximate_votes": 0, "asset_versions": { "property1": "string", "property2": "string" }, "created_at": "2019-08-24T14:15:22Z", "entities": { "bots": [ { "approximate_votes": 0, "asset_versions": { "property1": "string", "property2": "string" }, "boosted_until": "2019-08-24T14:15:22Z", "bot_id": "string", "card_color": "string", "clicks": 0, "created_at": "2019-08-24T14:15:22Z", "featured_until": "2019-08-24T14:15:22Z", "hidden_stats": [ "string" ], "highlighted": true, "invite_clicks": 0, "library": "string", "nsfw": true, "premium": true, "servers": 0, "shards": 0, "short": "string", "spotlighted_until": "2019-08-24T14:15:22Z", "supporter_badge": true, "tags": [ "string" ], "type": "string", "user": { "avatar": "string", "bot": true, "display_name": "string", "extra_data": { "property1": null, "property2": null }, "flags": [ "string" ], "id": "string", "status": "string", "username": "string" }, "vanity": "string", "vanity_ref": "e1b95001-3370-4367-9787-1fb904c7b8c7", "views_30d": 0, "vote_blitz_until": "2019-08-24T14:15:22Z", "votes": 0 } ], "members": [ { "created_at": "2019-08-24T14:15:22Z", "data_holder": true, "flags": [ "string" ], "itag": "6b5f8e7b-1e8c-4611-b693-ee8faa950c62", "mentionable": true, "service": "string", "team_id": "string", "user": { "avatar": "string", "bot": true, "display_name": "string", "extra_data": { "property1": null, "property2": null }, "flags": [ "string" ], "id": "string", "status": "string", "username": "string" } } ], "servers": [ { "approximate_votes": 0, "asset_versions": { "property1": "string", "property2": "string" }, "avatar": "string", "boosted_until": "2019-08-24T14:15:22Z", "card_color": "string", "clicks": 0, "featured_until": "2019-08-24T14:15:22Z", "hidden_stats": [ "string" ], "highlighted": true, "invite_clicks": 0, "name": "string", "nsfw": true, "online_members": 0, "premium": true, "server_id": "string", "short": "string", "spotlighted_until": "2019-08-24T14:15:22Z", "state": "string", "supporter_badge": true, "tags": [ "string" ], "total_members": 0, "type": "string", "vanity": "string", "vanity_ref": "e1b95001-3370-4367-9787-1fb904c7b8c7", "views_30d": 0, "votes": 0 } ], "targets": [ "string" ] }, "extra_links": [ { "name": "string", "value": "string" } ], "id": "string", "name": "string", "nsfw": true, "service": "string", "short": "string", "tags": [ "string" ], "updated_at": "2019-08-24T14:15:22Z", "vanity": "string", "vanity_ref": "e1b95001-3370-4367-9787-1fb904c7b8c7", "vote_banned": true, "votes": 0 }, "total_uptime": 0, "type": "string", "unique_clicks": 0, "updated_at": "2019-08-24T14:15:22Z", "uptime": 0, "uptime_checks": 0, "uptime_last_checked": "2019-08-24T14:15:22Z", "uptime_percent": 0.1, "user": { "avatar": "string", "bot": true, "display_name": "string", "extra_data": { "property1": null, "property2": null }, "flags": [ "string" ], "id": "string", "status": "string", "username": "string" }, "users": 0, "vanity": "string", "vanity_ref": "e1b95001-3370-4367-9787-1fb904c7b8c7", "views_30d": 0, "vote_banned": true, "vote_blitz_until": "2019-08-24T14:15:22Z", "votes": 0}Deletes a bot from the list. This is irreversible. You must have 'Delete Bots' in the team if the bot is in a team. Returns 204 on success.
User-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
id*stringBot ID
Success
application/json- response
context?Context of the error. Usually used for validation error contexts
message?stringMessage of the error
curl -X DELETE 'https://spider.omniplex.gg/bots/string'{ "context": { "property1": "string", "property2": "string" }, "message": "string"}Gets the metadata of a bot such as whether it is already in the database/bot id checks
User-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
client_id*stringThe client ID
fallback_bot_id?stringThe fallback bot ID to use if japi.rest is offline
Success
application/json- response
avatar?stringThe bot's avatar
bot_id?stringThe bot's ID
bot_public?booleanWhether or not the bot is public
client_id?stringThe bot's client ID
description?stringThe suggested description for the bot
fallback?booleanWhether or not we had to fall back to JAPI.rest from Discord's own RPC endpoint
fetch_errors?The errors that occurred when fetching the bot
flags?array<>The bot's flags
guild_count?integerThe bot's guild count
list_type?stringIf this is empty, then it is not on the list
name?stringThe bot's name
tags?array<>The suggested tags for the bot
curl -X GET 'https://spider.omniplex.gg/bots/string/meta'{ "avatar": "string", "bot_id": "string", "bot_public": true, "client_id": "string", "description": "string", "fallback": true, "fetch_errors": { "property1": "string", "property2": "string" }, "flags": [ "string" ], "guild_count": 0, "list_type": "string", "name": "string", "tags": [ "string" ]}Returns the bot's daily votes, views, invite clicks and counts over time. You must have 'Edit Bots' in the bot's team.
User-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
id*stringThe bot's ID
days?stringHow many days to return, ending today (UTC). Between 7 and 365, defaults to 30.
Success
application/json- response
days?array<>One entry per day, oldest first, ending today (UTC)
tracked_since?stringThe first day views, invite clicks and counts were recorded, null if not yet. Votes are available for the whole range.
curl -X GET 'https://spider.omniplex.gg/bots/string/analytics'{ "days": [ { "auto_votes": 0, "day": "string", "invite_clicks": 0, "online_members": 0, "servers": 0, "total_members": 0, "users": 0, "views": 0, "votes": 0 } ], "tracked_since": "string"}Gets the minimal SEO information about a bot for embed/search purposes. Used by v4 website for meta tags
id*stringThe bots ID
Success
application/json- response
avatar?stringThe entities resolved avatar URL (not just hash)
id?stringID of the entity
name?stringName of the entity
short?stringShort description of the entity
vanity?stringThe entity's vanity code, used to build its canonical URL. Omitted when it has none
curl -X GET 'https://spider.omniplex.gg/bots/string/seo'{ "avatar": "string", "id": "string", "name": "string", "short": "string", "vanity": "string"}Returns up to 6 other approved/certified bots sharing at least one tag with this bot (case-insensitive), ranked by shared tags with rarer tags weighted higher, then votes. NSFW bots are only included when this bot is NSFW.
id*stringBot ID
Success
application/json- response
[index: integer]?curl -X GET 'https://spider.omniplex.gg/bots/string/similar'[ { "approximate_votes": 0, "asset_versions": { "property1": "string", "property2": "string" }, "boosted_until": "2019-08-24T14:15:22Z", "bot_id": "string", "card_color": "string", "clicks": 0, "created_at": "2019-08-24T14:15:22Z", "featured_until": "2019-08-24T14:15:22Z", "hidden_stats": [ "string" ], "highlighted": true, "invite_clicks": 0, "library": "string", "nsfw": true, "premium": true, "servers": 0, "shards": 0, "short": "string", "spotlighted_until": "2019-08-24T14:15:22Z", "supporter_badge": true, "tags": [ "string" ], "type": "string", "user": { "avatar": "string", "bot": true, "display_name": "string", "extra_data": { "property1": null, "property2": null }, "flags": [ "string" ], "id": "string", "status": "string", "username": "string" }, "vanity": "string", "vanity_ref": "e1b95001-3370-4367-9787-1fb904c7b8c7", "views_30d": 0, "vote_blitz_until": "2019-08-24T14:15:22Z", "votes": 0 }]This endpoint posts the stats of a bot. status is optional and self-reports the bot's presence (online/idle/dnd/offline) — post it periodically to keep it fresh, it will otherwise keep showing the last value posted.
BotBot-Auth<token>Requires a bot token. Should be prefixed with Bot in Authorization header.
application/json- body
servers?integerThe server count
0 <= value <= 18446744073709552000shard_list?array<>The shard list
shards?integerThe shard count
0 <= value <= 18446744073709552000status?string"online""idle""dnd""offline"users?integerThe user count (not used in webpage)
0 <= value <= 18446744073709552000Success
application/json- response
context?Context of the error. Usually used for validation error contexts
message?stringMessage of the error
curl -X POST 'https://spider.omniplex.gg/bots/stats' \ -H 'Content-Type: application/json' \ -d '{}'{ "context": { "property1": "string", "property2": "string" }, "message": "string"}Adds a bot to the database. Returns 204 on success
User-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
application/json- body
bot_id?stringclient_id?stringextra_links?array<>invite?stringlibrary?stringlong?stringnsfw?booleanprefix?stringshort?stringstaff_note?stringtags?array<string>team_owner?stringSuccess
application/json- response
context?Context of the error. Usually used for validation error contexts
message?stringMessage of the error
curl -X PUT 'https://spider.omniplex.gg/bots' \ -H 'Content-Type: application/json' \ -d '{}'{ "context": { "property1": "string", "property2": "string" }, "message": "string"}Updates a bots settings. You must have 'Edit Bot Settings' in the team if the bot is in a team. Returns 204 on success
User-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
id*stringBot ID
application/json- body
auto_votes_opt_out?booleancaptcha_opt_out?booleancard_color?stringextra_links?array<>hidden_stats?array<>Stats to hide from public view: servers, shards, uptime (which also hides the online status), views and invites. Leave it out to keep the current choice
invite?stringlibrary?stringlong?stringnsfw?booleanprefix?stringshort?stringtags?array<string>Success
application/json- response
context?Context of the error. Usually used for validation error contexts
message?stringMessage of the error
curl -X PATCH 'https://spider.omniplex.gg/bots/string/settings' \ -H 'Content-Type: application/json' \ -d '{}'{ "context": { "property1": "string", "property2": "string" }, "message": "string"}Gets the commands a bot's owner/team has documented for it.
UserUser-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
id*stringBot ID
Success
application/json- response
commands?array<>curl -X GET 'https://spider.omniplex.gg/bots/string/commands'{ "commands": [ { "category": "string", "created_at": "2019-08-24T14:15:22Z", "description": "string", "id": "string", "name": "string", "position": 0, "updated_at": "2019-08-24T14:15:22Z", "usage": "string" } ]}Replaces the whole list of documented commands for a bot. You must have 'Edit Bot Settings' in the team if the bot is in a team.
User-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
id*stringBot ID
application/json- body
commands?array<>Success
application/json- response
context?Context of the error. Usually used for validation error contexts
message?stringMessage of the error
curl -X PUT 'https://spider.omniplex.gg/bots/string/commands' \ -H 'Content-Type: application/json' \ -d '{}'{ "context": { "property1": "string", "property2": "string" }, "message": "string"}Gets the changelog/announcement entries a bot's owner/team has posted.
UserUser-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
id*stringBot ID
Success
application/json- response
changelogs?array<>curl -X GET 'https://spider.omniplex.gg/bots/string/changelogs'{ "changelogs": [ { "content": "string", "created_at": "2019-08-24T14:15:22Z", "created_by": "string", "id": "string", "title": "string", "version": "string" } ]}Posts a new changelog/announcement entry for a bot. You must have 'Edit Bot Settings' in the team if the bot is in a team.
User-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
id*stringBot ID
application/json- body
content?stringtitle?stringversion?stringSuccess
application/json- response
content?stringcreated_at?stringdate-timecreated_by?stringid?stringtitle?stringversion?stringcurl -X POST 'https://spider.omniplex.gg/bots/string/changelogs' \ -H 'Content-Type: application/json' \ -d '{}'{ "content": "string", "created_at": "2019-08-24T14:15:22Z", "created_by": "string", "id": "string", "title": "string", "version": "string"}Removes a changelog/announcement entry. You must have 'Edit Bot Settings' in the team if the bot is in a team.
User-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
id*stringBot ID
changelog_id*stringChangelog entry ID
Success
application/json- response
context?Context of the error. Usually used for validation error contexts
message?stringMessage of the error
curl -X DELETE 'https://spider.omniplex.gg/bots/string/changelogs/string'{ "context": { "property1": "string", "property2": "string" }, "message": "string"}Transfers a bot to another team.
Semantically equivalent to:
- Remove bot in question from list
- Readd bot to list with same data
- Transfer bot ownership to team
The below are the requirements for this due to the above:
- The user must have the "Delete Bots" permission in the team they are transferring the bot from
- The user must have the "Add New Bots" permission in the team they are transferring the bot to
The bots ownership will be transferred to the new team.
Returns a 204 on success
UserUser-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
uid*stringUser ID
bid*stringBot ID
application/json- body
team_id?stringThe team ID to add the bot to
Success
application/json- response
context?Context of the error. Usually used for validation error contexts
message?stringMessage of the error
curl -X PATCH 'https://spider.omniplex.gg/users/string/bots/string/teams' \ -H 'Content-Type: application/json' \ -d '{}'{ "context": { "property1": "string", "property2": "string" }, "message": "string"}